﻿using Windows.UI;

using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Media;

namespace TestProject
{
    /// <summary>
    /// 변환 헬퍼
    /// </summary>
    public class ConversionHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 두께 구하기 - GetThickness(length)

        /// <summary>
        /// 두께 구하기
        /// </summary>
        /// <param name="length">길이</param>
        /// <returns>두께</returns>
        public static Thickness GetThickness(double length)
        {
            return new Thickness(length);
        }

        #endregion
        #region 단색 브러시 구하기 - GetSolidColorBrush(color)

        /// <summary>
        /// 단색 브러시 구하기
        /// </summary>
        /// <param name="color">색상</param>
        /// <returns>단색 브러시</returns>
        public static SolidColorBrush GetSolidColorBrush(Color color)
        {
            return new SolidColorBrush(color);
        }

        #endregion
    }
}